Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class CutEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.DeleteEdit
              info.bioinfweb.treegraph.document.undo.edit.CutEdit

All Implemented Interfaces:
  WarningEdit, javax.swing.undo.UndoableEdit

    public class CutEdit

extends DeleteEdit

The impelemention of this edit is the same as it is at `DeleteEdit`. The copying is done by the action-object, becuase the copying does not have to be redone.

Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`CutEdit(Document document, ConcretePaintableElement[] elements)`

Method Summary
`java.lang.String` | `getPresentationName()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.edit.DeleteEdit
`getShowWarnings, redo, setShowWarnings, undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CutEdit

    public CutEdit(Document document,
                   ConcretePaintableElement[] elements)

Method Detail

### getPresentationName

    public java.lang.String getPresentationName()

  Specified by:
    `getPresentationName` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `getPresentationName` in class `DeleteEdit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD